<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/AccessoryLight.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('AccessoryLight_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessoryLight.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __accessoryLight_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __accessoryLight_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;Accessory.hpp&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;AccessoryBaseLight.hpp&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#ifndef NO_LIGHT</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classAccessoryLight.html">   15</a></span>&#160;<span class="keyword">class </span><a class="code" href="classAccessoryLight.html">AccessoryLight</a> : <span class="keyword">public</span> <a class="code" href="classAccessory.html">Accessory</a></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <a class="code" href="classAccessoryBaseLight.html">AccessoryBaseLight</a> *pLight;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <a class="code" href="classAccessoryLight.html#ade0410a95919c69a748d8f808cac5710">AccessoryLight</a>();</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryLight.html#aefb471d2774da0f2e8c5238e30ebadf4">begin</a>(<a class="code" href="classPort.html">Port</a> *inpPort, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inBlinkDuration = 0, <span class="keywordtype">int</span> inIntensity = 255);</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classAccessoryLight.html#ac7424d28cc2fbe012638edd837d4aaf6">   35</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryLight.html#ac7424d28cc2fbe012638edd837d4aaf6">SetFading</a>(uint8_t inStep, uint8_t inDelay) { this-&gt;pLight-&gt;<a class="code" href="classAccessoryBaseLight.html#a1e1a200e6f6e47e63d07059c91265a91">SetFading</a>(inStep, inDelay); }</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classAccessoryLight.html#a79a2896772ebff649f3123d38e9b6ef8">   40</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessoryLight.html#a79a2896772ebff649f3123d38e9b6ef8">IsOn</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;pLight-&gt;<a class="code" href="classAccessoryBaseLight.html#afdc391fd30e2632e64cd48cc64504f28">IsOn</a>(); }</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classAccessoryLight.html#a7d399a4f2d3cb2909a35f91fdfd2540e">   44</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessoryLight.html#a7d399a4f2d3cb2909a35f91fdfd2540e">IsBlinking</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;pLight-&gt;<a class="code" href="classAccessoryBaseLight.html#ac82a7a3b7ab0da4aefd959d03ba0ed4a">IsBlinking</a>(); }</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classAccessoryLight.html#a2e0cb5589c44bef5e2808ea0c84689d7">   49</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessoryLight.html#a2e0cb5589c44bef5e2808ea0c84689d7">IsFading</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;pLight-&gt;<a class="code" href="classAccessoryBaseLight.html#aa3b580656c99a87a7e88946f407e712d">IsFading</a>(); }</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryLight.html#a9511861853b7de8f3b99ca43e49db16b">Event</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, <span class="keywordtype">int</span> inData = 0);</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classAccessoryLight.html#a93b9f956387afcae98f89391db0c2d6c">   61</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryLight.html#a93b9f956387afcae98f89391db0c2d6c">SetState</a>(ACC_STATE inState) { this-&gt;pLight-&gt;SetState(inState); }</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classAccessoryLight.html#ab46a5519912b1589e24983b1789768eb">   65</a></span>&#160;        <span class="keyword">inline</span> ACC_STATE <a class="code" href="classAccessoryLight.html#ab46a5519912b1589e24983b1789768eb">Toggle</a>() { <span class="keywordflow">return</span> this-&gt;pLight-&gt;Toggle(); }</div><div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="classAccessoryLight.html#a1063143ac860df80816958a515d1faf5">   67</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryLight.html#a1063143ac860df80816958a515d1faf5">LightOn</a>() { this-&gt;pLight-&gt;LightOn(); }</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classAccessoryLight.html#a05f54b30feeaf8578644089a716a9bf9">   69</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryLight.html#a05f54b30feeaf8578644089a716a9bf9">LightOff</a>() { this-&gt;pLight-&gt;LightOff(); }</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classAccessoryLight.html#a6106c22cd5da50ec3908d41a917695c6">   71</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryLight.html#a6106c22cd5da50ec3908d41a917695c6">Blink</a>() { this-&gt;pLight-&gt;Blink(); }</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="preprocessor">#ifndef NO_EEPROM</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classAccessoryLight.html#a0c90712da6035d00724928abe3a5eab2">EEPROMLoad</a>(<span class="keywordtype">int</span> inPos);</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> IsGroupActionPending() { <span class="keywordflow">return</span> this-&gt;pLight-&gt;IsGroupActionPending(); }</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> StartAction() { this-&gt;pLight-&gt;StartAction(); }</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> ActionEnded() { <span class="keywordflow">return</span> this-&gt;pLight-&gt;ActionEnded(); }</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> ResetAction() { <span class="keywordflow">return</span> this-&gt;<a class="code" href="classAccessory.html#a882c7616f0433475d65e1ac5e8ecf616">ResetStartingMillis</a>(); }</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        <span class="keywordtype">void</span> Move(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId);</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        <span class="keywordtype">void</span> printAccessory();</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;};</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classAccessory_html_a882c7616f0433475d65e1ac5e8ecf616"><div class="ttname"><a href="classAccessory.html#a882c7616f0433475d65e1ac5e8ecf616">Accessory::ResetStartingMillis</a></div><div class="ttdeci">void ResetStartingMillis()</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00446">Accessory.hpp:446</a></div></div>
<div class="ttc" id="classAccessoryLight_html_a0c90712da6035d00724928abe3a5eab2"><div class="ttname"><a href="classAccessoryLight.html#a0c90712da6035d00724928abe3a5eab2">AccessoryLight::EEPROMLoad</a></div><div class="ttdeci">int EEPROMLoad(int inPos)</div></div>
<div class="ttc" id="classAccessoryLight_html_a6106c22cd5da50ec3908d41a917695c6"><div class="ttname"><a href="classAccessoryLight.html#a6106c22cd5da50ec3908d41a917695c6">AccessoryLight::Blink</a></div><div class="ttdeci">void Blink()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLight_8hpp_source.html#l00071">AccessoryLight.hpp:71</a></div></div>
<div class="ttc" id="classAccessoryLight_html_a05f54b30feeaf8578644089a716a9bf9"><div class="ttname"><a href="classAccessoryLight.html#a05f54b30feeaf8578644089a716a9bf9">AccessoryLight::LightOff</a></div><div class="ttdeci">void LightOff()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLight_8hpp_source.html#l00069">AccessoryLight.hpp:69</a></div></div>
<div class="ttc" id="classAccessoryLight_html_a1063143ac860df80816958a515d1faf5"><div class="ttname"><a href="classAccessoryLight.html#a1063143ac860df80816958a515d1faf5">AccessoryLight::LightOn</a></div><div class="ttdeci">void LightOn()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLight_8hpp_source.html#l00067">AccessoryLight.hpp:67</a></div></div>
<div class="ttc" id="classAccessoryLight_html_ab46a5519912b1589e24983b1789768eb"><div class="ttname"><a href="classAccessoryLight.html#ab46a5519912b1589e24983b1789768eb">AccessoryLight::Toggle</a></div><div class="ttdeci">ACC_STATE Toggle()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLight_8hpp_source.html#l00065">AccessoryLight.hpp:65</a></div></div>
<div class="ttc" id="classAccessoryLight_html_a93b9f956387afcae98f89391db0c2d6c"><div class="ttname"><a href="classAccessoryLight.html#a93b9f956387afcae98f89391db0c2d6c">AccessoryLight::SetState</a></div><div class="ttdeci">void SetState(ACC_STATE inState)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLight_8hpp_source.html#l00061">AccessoryLight.hpp:61</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_aa3b580656c99a87a7e88946f407e712d"><div class="ttname"><a href="classAccessoryBaseLight.html#aa3b580656c99a87a7e88946f407e712d">AccessoryBaseLight::IsFading</a></div><div class="ttdeci">bool IsFading() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00074">AccessoryBaseLight.hpp:74</a></div></div>
<div class="ttc" id="classAccessoryLight_html_a2e0cb5589c44bef5e2808ea0c84689d7"><div class="ttname"><a href="classAccessoryLight.html#a2e0cb5589c44bef5e2808ea0c84689d7">AccessoryLight::IsFading</a></div><div class="ttdeci">bool IsFading() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLight_8hpp_source.html#l00049">AccessoryLight.hpp:49</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_ac82a7a3b7ab0da4aefd959d03ba0ed4a"><div class="ttname"><a href="classAccessoryBaseLight.html#ac82a7a3b7ab0da4aefd959d03ba0ed4a">AccessoryBaseLight::IsBlinking</a></div><div class="ttdeci">bool IsBlinking() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00069">AccessoryBaseLight.hpp:69</a></div></div>
<div class="ttc" id="classAccessoryLight_html_a7d399a4f2d3cb2909a35f91fdfd2540e"><div class="ttname"><a href="classAccessoryLight.html#a7d399a4f2d3cb2909a35f91fdfd2540e">AccessoryLight::IsBlinking</a></div><div class="ttdeci">bool IsBlinking() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLight_8hpp_source.html#l00044">AccessoryLight.hpp:44</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_afdc391fd30e2632e64cd48cc64504f28"><div class="ttname"><a href="classAccessoryBaseLight.html#afdc391fd30e2632e64cd48cc64504f28">AccessoryBaseLight::IsOn</a></div><div class="ttdeci">bool IsOn() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00065">AccessoryBaseLight.hpp:65</a></div></div>
<div class="ttc" id="classAccessoryLight_html_a79a2896772ebff649f3123d38e9b6ef8"><div class="ttname"><a href="classAccessoryLight.html#a79a2896772ebff649f3123d38e9b6ef8">AccessoryLight::IsOn</a></div><div class="ttdeci">bool IsOn() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLight_8hpp_source.html#l00040">AccessoryLight.hpp:40</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_a1e1a200e6f6e47e63d07059c91265a91"><div class="ttname"><a href="classAccessoryBaseLight.html#a1e1a200e6f6e47e63d07059c91265a91">AccessoryBaseLight::SetFading</a></div><div class="ttdeci">void SetFading(uint8_t inStep, uint8_t inDelay)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8cpp_source.html#l00048">AccessoryBaseLight.cpp:48</a></div></div>
<div class="ttc" id="classAccessoryLight_html_a9511861853b7de8f3b99ca43e49db16b"><div class="ttname"><a href="classAccessoryLight.html#a9511861853b7de8f3b99ca43e49db16b">AccessoryLight::Event</a></div><div class="ttdeci">void Event(unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLight_8cpp_source.html#l00041">AccessoryLight.cpp:41</a></div></div>
<div class="ttc" id="classAccessoryLight_html_ac7424d28cc2fbe012638edd837d4aaf6"><div class="ttname"><a href="classAccessoryLight.html#ac7424d28cc2fbe012638edd837d4aaf6">AccessoryLight::SetFading</a></div><div class="ttdeci">void SetFading(uint8_t inStep, uint8_t inDelay)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLight_8hpp_source.html#l00035">AccessoryLight.hpp:35</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classAccessoryLight_html_aefb471d2774da0f2e8c5238e30ebadf4"><div class="ttname"><a href="classAccessoryLight.html#aefb471d2774da0f2e8c5238e30ebadf4">AccessoryLight::begin</a></div><div class="ttdeci">void begin(Port *inpPort, unsigned long inId, unsigned long inBlinkDuration = 0, int inIntensity = 255)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLight_8cpp_source.html#l00016">AccessoryLight.cpp:16</a></div></div>
<div class="ttc" id="classAccessoryLight_html_ade0410a95919c69a748d8f808cac5710"><div class="ttname"><a href="classAccessoryLight.html#ade0410a95919c69a748d8f808cac5710">AccessoryLight::AccessoryLight</a></div><div class="ttdeci">AccessoryLight()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLight_8cpp_source.html#l00012">AccessoryLight.cpp:12</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html"><div class="ttname"><a href="classAccessoryBaseLight.html">AccessoryBaseLight</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00026">AccessoryBaseLight.hpp:26</a></div></div>
<div class="ttc" id="classAccessory_html"><div class="ttname"><a href="classAccessory.html">Accessory</a></div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00140">Accessory.hpp:140</a></div></div>
<div class="ttc" id="classAccessoryLight_html"><div class="ttname"><a href="classAccessoryLight.html">AccessoryLight</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLight_8hpp_source.html#l00015">AccessoryLight.hpp:15</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>AccessoryLight.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
